Webhooks
Get webhook delivery
A single delivery plus its full attempt timeline (including async retries).
GET
/v2/webhooks/{teamId}/{webhookId}/deliveries/{deliveryId}A single delivery plus its full attempt timeline (including async retries).
Authorization
apiKey x-api-key<token>
Public API key generated from Micro settings. Sent as the x-api-key header and validated by AWS API Gateway in front of the service.
In: header
Path Parameters
teamId*string
Format
uuidwebhookId*string
Format
uuiddeliveryId*string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://developers.micro.so/v2/webhooks/${MICRO_TEAM_ID}/${WEBHOOK_ID}/deliveries/${DELIVERY_ID}" \ -H "x-api-key: $MICRO_API_KEY"{ "delivery_id": "9892f438-d31c-4ff2-bc84-146525b292ff", "webhook_id": "a47606a1-5b39-4a81-9480-c2cb738ff675", "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba", "type": "delivery", "event": "string", "url": "string", "status": "success", "status_code": 0, "attempts": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "attempt_history": [ { "attempt": 0, "status": "success", "status_code": 0, "error": "string", "request_body": "string", "response_body": "string", "created_at": "2019-08-24T14:15:22Z" } ]}